
/****** Object:  View [dbo].[vUscite]    Script Date: 06/08/2016 17:57:08 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vUscite]'))
DROP VIEW [dbo].[vUscite]
GO



/****** Object:  View [dbo].[vUscite]    Script Date: 06/08/2016 17:57:09 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vUscite]
AS
SELECT     dbo.Uscite.IDUscita, dbo.Uscite.IDProdotto, dbo.Uscite.CodiceInforete, dbo.Uscite.Addon, dbo.Uscite.NumeroCopertina, dbo.Uscite.DataUscita, 
                      dbo.Uscite.BarcodeAddon, dbo.Uscite.PrezzoNetto, dbo.Uscite.PrezzoCopertinaEuroDistributore, dbo.Uscite.IDIva, dbo.Uscite.ScorporoIVA, 
                      dbo.Uscite.ScontoEdicola, dbo.Uscite.SovraprezzoEuro, dbo.Uscite.NumeroConInserti, dbo.Uscite.DescrizioneInserti, dbo.Uscite.Sottotitolo, 
                      dbo.Uscite.NoteNumeroDistributore, dbo.Uscite.NoteNumeroEdicola, dbo.Uscite.CopieFornite, dbo.Uscite.Giacenza, dbo.Uscite.CopieRese, 
                      dbo.Uscite.CopieReseRiscontrate, dbo.Uscite.Esaurito, dbo.Uscite.DataResa, dbo.Uscite.DataUltimaResa, dbo.Uscite.CopieUltimaResa, 
                      dbo.Uscite.DataUltimissimaResa, dbo.Uscite.CopieUltimissimaResa, dbo.Uscite.CopieResaExtra, dbo.Uscite.DataResaExtra, 
                      dbo.Uscite.FlagNumeroControllato, dbo.Uscite.MaterialePubblicitario, dbo.Uscite.SovrascontoNatale, dbo.Uscite.PercentualeSovrascontoNatale, 
                      dbo.Uscite.MultiploPerPaccotti, dbo.Uscite.FascicoloGuidaPaccotti, dbo.Uscite.CodiceBanded, dbo.Uscite.DataPresuntaFattCD, 
                      dbo.Uscite.FlagContoDepositoFatt, dbo.Uscite.DataFattContoDeposito, dbo.Uscite.NumeroFatt50, dbo.Uscite.DataFattRestante50, 
                      dbo.Uscite.CodiceBuono, dbo.Uscite.DescrizioneBuonoSconto, dbo.Uscite.PrezzoBuonoScontoEuro, dbo.Uscite.CopieArrivateInizialmenteInBolla, 
                      dbo.Uscite.DataRRPdv, dbo.Uscite.DataRRPdv1, dbo.Uscite.DataRRPdv2, dbo.Uscite.DataEsu, dbo.Uscite.DataEsuPdv, dbo.Uscite.CopieEsu, 
                      dbo.Uscite.DataInizioPromozione, dbo.Uscite.ScadBuono, dbo.Uscite.UltNum, dbo.Uscite.FlagScad, dbo.Uscite.DataResaBuono, 
                      dbo.Uscite.CopieResaBuono, dbo.Uscite.IDAssociazione, dbo.Uscite.PrezzoCessione, dbo.Uscite.CopieCCdep, dbo.Uscite.NumUsciteArr, 
                      dbo.Uscite.MaggArr, dbo.Uscite.DataCons, dbo.Uscite.NumeroDistribuzione, dbo.Uscite.IDProd, dbo.Uscite.IDDL, dbo.Uscite.IDSottoEditore, 
                      dbo.Uscite.IDEditore, dbo.Uscite.InfoRiv, dbo.Uscite.DataUltimaModifica, dbo.Uscite.ResaRespinta, dbo.Uscite.DataResaRespinta, 
                      dbo.Uscite.PrezzoVenditaExtra, dbo.Uscite.Foto, dbo.Uscite.DirittoDiReso, dbo.Uscite.IdCodOligest, dbo.IVA.Aliquota AS IVA, 
                      dbo.vDL.RagioneSociale AS UscitaDL, dbo.vEditori.RagioneSociale AS UscitaEditore, dbo.vEditori.CodiceFIEG AS UscitaEditoreCodiceFIEG, 
                      dbo.Prodotti.CodiceTestata, dbo.Prodotti.Testata, dbo.Prodotti.CodiceCollezione, dbo.Prodotti.CodiceMultiedizione, 
                      dbo.Associazioni.Descrizione AS DescAssociazione, dbo.Periodicita.Descrizione AS Periodicita, dbo.Prodotti.GiorniScadenzaResa AS GiorniScadResa, 
                      dbo.vSottoEditori.RagioneSociale AS UscitaSottoEditore, dbo.IVA.Descrizione AS DescIVA, dbo.vDL.CodiceFIEG AS UscitaDLCodiceFIEG, 
                      dbo.Prodotti.IDTipoProdotto, dbo.TipiProdotto.Descrizione AS TipoProdotto, dbo.Prodotti.IDPeriodicita, dbo.Prodotti.IDSegmentoMercato, 
                      dbo.SegmentiMercato.Descrizione AS SegmentoMercato, dbo.Prodotti.LocazioneScaffale, dbo.Prodotti.UmAcquisto, dbo.Prodotti.UmVendita, 
                      dbo.Prodotti.CoeffConv, dbo.Prodotti.DescrizioneAggEdicola, dbo.vFornitori.RagioneSociale AS Fornitore
FROM         dbo.vSottoEditori RIGHT OUTER JOIN
                      dbo.Prodotti INNER JOIN
                      dbo.Uscite ON dbo.Prodotti.IDProd = dbo.Uscite.IDProd LEFT OUTER JOIN
                      dbo.vFornitori ON dbo.Uscite.IDEditore = dbo.vFornitori.IDSoggetto ON dbo.vSottoEditori.IDSoggetto = dbo.Uscite.IDSottoEditore LEFT OUTER JOIN
                      dbo.TipiProdotto ON dbo.Prodotti.IDTipoProdotto = dbo.TipiProdotto.IDTipoProdotto LEFT OUTER JOIN
                      dbo.SegmentiMercato ON dbo.Prodotti.IDSegmentoMercato = dbo.SegmentiMercato.IDSegmentoMercato LEFT OUTER JOIN
                      dbo.Periodicita ON dbo.Prodotti.IDPeriodicita = dbo.Periodicita.IDPeriodicita LEFT OUTER JOIN
                      dbo.Associazioni ON dbo.Uscite.IDAssociazione = dbo.Associazioni.IDAssociazione LEFT OUTER JOIN
                      dbo.vEditori ON dbo.Uscite.IDEditore = dbo.vEditori.IDSoggetto LEFT OUTER JOIN
                      dbo.vDL ON dbo.Uscite.IDDL = dbo.vDL.IDSoggetto LEFT OUTER JOIN
                      dbo.IVA ON dbo.Uscite.IDIva = dbo.IVA.IDIva

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[7] 4[43] 2[19] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = -103
         Left = 0
      End
      Begin Tables = 
         Begin Table = "vSottoEditori"
            Begin Extent = 
               Top = 269
               Left = 401
               Bottom = 384
               Right = 579
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Prodotti"
            Begin Extent = 
               Top = 95
               Left = 39
               Bottom = 210
               Right = 234
            End
            DisplayFlags = 280
            TopColumn = 16
         End
         Begin Table = "Uscite"
            Begin Extent = 
               Top = 216
               Left = 38
               Bottom = 331
               Right = 276
            End
            DisplayFlags = 280
            TopColumn = 67
         End
         Begin Table = "vFornitori"
            Begin Extent = 
               Top = 139
               Left = 635
               Bottom = 254
               Right = 813
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "TipiProdotto"
            Begin Extent = 
               Top = 336
               Left = 38
               Bottom = 451
               Right = 216
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "SegmentiMercato"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 91
               Right = 217
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Periodicita"
            Begin Extent = 
               Top = 126
               Left = 271
               Bottom = 211
               Right = 446
            End
  ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vUscite'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'          DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Associazioni"
            Begin Extent = 
               Top = 444
               Left = 247
               Bottom = 529
               Right = 422
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "vEditori"
            Begin Extent = 
               Top = 419
               Left = 650
               Bottom = 534
               Right = 828
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "vDL"
            Begin Extent = 
               Top = 456
               Left = 38
               Bottom = 571
               Right = 216
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "IVA"
            Begin Extent = 
               Top = 546
               Left = 254
               Bottom = 661
               Right = 429
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 104
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Colu' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vUscite'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane3', @value=N'mn = 1440
         Alias = 2160
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vUscite'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=3 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vUscite'
GO
